Last Comment Bug 716576 - nsCacheService closes its databases too late
: nsCacheService closes its databases too late
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Cache (show other bugs)
: 12 Branch
: x86_64 Linux
: -- normal (vote)
: mozilla12
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-09 09:37 PST by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2012-01-12 11:00 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
close the database earlier (2.20 KB, patch)
2012-01-09 09:42 PST, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
no flags Details | Diff | Splinter Review
close the database earlier (2.23 KB, patch)
2012-01-09 10:44 PST, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
michal.novotny: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-01-09 09:37:18 PST

    
Comment 1 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-01-09 09:42:23 PST
Created attachment 587024 [details] [diff] [review]
close the database earlier

https://tbpl.mozilla.org/?tree=Try&rev=8d0185c65bbf
Comment 2 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-01-09 10:44:26 PST
Created attachment 587045 [details] [diff] [review]
close the database earlier

Now with the missing null check.
https://tbpl.mozilla.org/?tree=Try&rev=38aea4ef708c
Comment 3 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-01-09 15:12:19 PST
I rebased and pushed again:
https://tbpl.mozilla.org/?tree=Try&rev=87e73d59f3ea
Comment 4 Jason Duell [:jduell] (needinfo me) 2012-01-09 18:27:02 PST
Comment on attachment 587045 [details] [diff] [review]
close the database earlier

Review of attachment 587045 [details] [diff] [review]:
-----------------------------------------------------------------

Michal's the right reviewer here.
Comment 5 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-01-11 14:42:57 PST
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=ae61a309be69
Comment 6 Matt Brubeck (:mbrubeck) 2012-01-12 11:00:06 PST
https://hg.mozilla.org/mozilla-central/rev/ae61a309be69

Note You need to log in before you can comment on or make changes to this bug.